
%define _unpackaged_files_terminate_build 1

Name: opensbi
Version: 1.4
Release: alt1

Summary: RISC-V OpenSBI Development file
License: BSD-2-Clause
Group: Development/Other
Url: https://github.com/riscv/opensbi

BuildRequires: python3

Provides: opensbi-firmware-generic = %version-%release
Provides: opensbi-firmware-fu540 = %version-%release
Obsoletes: opensbi-firmware-generic
Obsoletes: opensbi-firmware-fu540

Source: %name-%version.tar
Patch: %name-%version-%release.patch

ExclusiveArch: riscv64
BuildArch:     noarch

%description
The goal of the OpenSBI project is to provide an open-source reference
implementation of the RISC-V SBI specifications for platform-specific
firmwares executing in M-mode (case 1 mentioned above). An OpenSBI
implementation can be easily extended by RISC-V platform and
system-on-chip vendors to fit a particular hardware configuration.

%prep
%setup
%patch -p1

%build
%make_build V=1 O=build PLATFORM=generic FW_PIC=y

%install
make install O=build I=%buildroot PLATFORM=generic \
     INSTALL_FIRMWARE_PATH=%_datadir/opensbi \
     INSTALL_INCLUDE_PATH=%_includedir \
     INSTALL_LIB_PATH=%_libdir

rm -vfr \
    %buildroot%_datadir/opensbi/generic/firmware/payloads \
    %buildroot%_includedir \
    %buildroot%_libdir

%set_verify_elf_method none
%add_findreq_skiplist %_datadir/opensbi/*

%files
%doc README.md CONTRIBUTORS.md COPYING.BSD
%_datadir/opensbi/generic/firmware


%changelog
* Thu Dec 28 2023 Ivan A. Melnikov <iv@altlinux.org> 1.4-alt1
- 1.4

* Wed Jul 26 2023 Ivan A. Melnikov <iv@altlinux.org> 1.3.1-alt1
- 1.3.1

* Mon Jan 09 2023 Ivan A. Melnikov <iv@altlinux.org> 1.2-alt2
- Add patches for Alwinner D1.

* Mon Jan 09 2023 Ivan A. Melnikov <iv@altlinux.org> 1.2-alt1
- 1.2

* Fri Nov 18 2022 Ivan A. Melnikov <iv@altlinux.org> 1.1-alt3
- stop packaging development files;
- build as noarch package;
- fix build with gcc10 and binutils 2.38+.

* Tue Aug 30 2022 Ivan A. Melnikov <iv@altlinux.org> 1.1-alt2
- apply upstream fix for FENCE.TSO

* Mon Jul 11 2022 Ivan A. Melnikov <iv@altlinux.org> 1.1-alt1
- 1.1

* Fri Jan 14 2022 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.0-alt1
- 1.0 released
- build generic flavour only

* Mon Aug 09 2021 Nikita Ermakov <arei@altlinux.org> 0.9-alt2
- Don't place u-boot into the OpenSBI firmware.
- Add support for SiFive HiFive Unmatched.

* Fri Jan 22 2021 Nikita Ermakov <arei@altlinux.org> 0.9-alt1
- Update to 0.9.

* Fri Oct 30 2020 Nikita Ermakov <arei@altlinux.org> 0.8-alt1
- Update to 0.8.

* Mon Mar  2 2020 Nikita Ermakov <arei@altlinux.org> 0.6-alt1
- Initial build for ALT Linux Sisyphus.
